# apacheconfig

~~~
apacheconfig: Gérer la configuration d'un serveur web apache

USAGE
    apacheconfig -c
    apacheconfig -t -- args...

OPTIONS
    -c, --create
        Créer un nouveau répertoire de configuration pour un hôte
    -d, --destdir DESTDIR[=apacheconfig]
        Nom du répertoire local de configuration.

    -t, --template [OPT]
        Gérer les fichiers du répertoire local avec templatectl. La valeur de
        cette option est utilisée comme argument court pour l'invocation de
        templatectl, e.g
            apacheconfig -tm args
        est équivalent à
            templatectl -m args
        Les arguments qui restent sont passés tels quels à templatectl
        Les options courantes de templatectl -l, -v, -m, -L sont disponibles
        directement
    --help-template
        Afficher l'aide concernent la gestion des templates.
        Equivalent à -t -- --help
    -h, --host HOST
        Spécifier l'hôte. Equivalent à -v host=HOST
    --sysname SYSNAME
    --sysdist SYSDIST
    -s, --sysver SYSVER
        Spécifier la distribution pour laquelle synchroniser le template. Par
        défaut, choisir les valeurs correspondantes au système courant.
        Les options -7 et -8 sont des aliases respectivement pour -s wheezy et
        -s jessie, parce que les fichiers par défaut ont changé à partir de
        debian jessie.

    -u, --update, --deploy
        Mettre à jour la configuration système à partir du répertoire local.
        Lors du déploiement de la configuration, les valeurs des variables
        dynamiques sont remplacées dans les fichiers destination.
        Les arguments qui restent sont passés tels quels à apache_autoconf
    -r, --certsdir CERTSDIR
        Spécifier le cas échéant le répertoire contenant les certificats à
        déployer. Cet argument est requis si le répertoire certsconf/ existe.

    --localhosts
        Créer dans le fichier /etc/hosts tous les noms d'hôte ayant un suffixe
        .local mentionnés dans les fichiers de site. Cette option est utile pour
        le développement et les tests.
    -C, --one-conf CONF
        Ne déployer que le fichier de configuration spécifié. Cette option est
        utilisée avec --deploy et est utile pour le développement et les tests.
    -M, --one-module MODULE
        Ne déployer que le fichier de module spécifié. Cette option est utilisée
        avec --deploy et est utile pour le développement et les tests.
    -S, --one-site SITE
        Ne déployer que le fichier de site spécifié. Cette option est utilisée
        avec --deploy ou --localhosts et est utile pour le développement et les
        tests.
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary